-- get the addon namespace
local addon, ns = ...

-- generate a holder for the config data
local cfg = CreateFrame("Frame")

local version, build, date = GetBuildInfo()
cfg.release = tonumber(string.sub(version,0,1))
-- print(release)

cfg.debugspells=true
cfg.isize=32
cfg.bsize=cfg.isize
cfg.tsize=12 --hedlib.fontsize(cfg.isize)
cfg.scale=8
cfg.point = {"CENTER",UIParent,"CENTER",0,-20}
cfg.point_cd = {"CENTER",UIParent,"CENTER",0,-80}
cfg.border=10
cfg.cdborder=8
cfg.hiderunes=true
cfg.dk_Shadowfrost=nil
cfg.textfont="Fonts\\FRIZQT__.TTF"
cfg.talenttree=nil
cfg.h=cfg.isize -- 10
cfg.l=300
cfg.freq=1/4
cfg.UpdateTime=1/4
cfg.max=1
cfg.react=0.1
cfg.backdrop_texture = "Interface\\AddOns\\Hedd\\textures\\backdrop"
cfg.backdrop_edge_texture = "Interface\\AddOns\\Hedd\\textures\\backdrop_edge"
cfg.statusbar_texture = "Interface\\AddOns\\Hedd\\textures\\Minimalist"-- "Interface\\BUTTONS\\UI-Listbox-Highlight2"
cfg.now=GetTime()
cfg.showchannel = false
cfg.debugspells = false

ns.cfg = cfg